## org.apache.http.impl.cookie
Class NetscapeDraftSpecFactory

    java.lang.Object
      org.apache.http.impl.cookie.NetscapeDraftSpecFactory

All Implemented Interfaces:
  CookieSpecFactory

    @Immutable
    public class NetscapeDraftSpecFactory

extends Object
implements CookieSpecFactory

`CookieSpecFactory` implementation that creates and initializes `NetscapeDraftSpec` instances.

The following parameters can be used to customize the behavior of this class:

- `CookieSpecPNames.DATE_PATTERNS`

Since:
  4.0

Constructor Summary
`NetscapeDraftSpecFactory()`

Method Summary
`CookieSpec` `newInstance(HttpParams params)` Creates an instance of `CookieSpec` using given HTTP parameters.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetscapeDraftSpecFactory

    public NetscapeDraftSpecFactory()

Method Detail

### newInstance

    public CookieSpec newInstance(HttpParams params)

  Description copied from interface: `CookieSpecFactory`
  Creates an instance of `CookieSpec` using given HTTP parameters.

  Specified by:
    `newInstance` in interface `CookieSpecFactory`
  Parameters:
    `params` - HTTP parameters.
  Returns:
    cookie spec.

Copyright © 1999-2012 The Apache Software Foundation. All Rights Reserved.